diff options
author | guillaume.lambert <guillaume.lambert@orange.com> | 2021-12-08 10:14:09 +0100 |
---|---|---|
committer | guillaume.lambert <guillaume.lambert@orange.com> | 2021-12-08 13:59:05 +0100 |
commit | 0daad9993ff4d1ea146e0100e78708964c6a9921 (patch) | |
tree | a0306173a248f712529c6042b6195e5e4c67fce9 | |
parent | f657a816b9074f5bf2b3d300d93266269c1f05a5 (diff) |
[COMMON] Fix & add to bashisms CI failover scripts
Issue-ID: OOM-2643
Signed-off-by: guillaume.lambert <guillaume.lambert@orange.com>
Change-Id: Icf139e50d44aed0315d0e4cb21c59ad05a5a3bdb
-rwxr-xr-x | kubernetes/sdnc/components/sdnc-prom/resources/bin/sdnc.failover | 6 | ||||
-rw-r--r-- | tox.ini | 2 |
2 files changed, 5 insertions, 3 deletions
diff --git a/kubernetes/sdnc/components/sdnc-prom/resources/bin/sdnc.failover b/kubernetes/sdnc/components/sdnc-prom/resources/bin/sdnc.failover index d9133e8477..1a74c1edce 100755 --- a/kubernetes/sdnc/components/sdnc-prom/resources/bin/sdnc.failover +++ b/kubernetes/sdnc/components/sdnc-prom/resources/bin/sdnc.failover @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/sh {{/* # Copyright © 2018 Amdocs @@ -30,7 +30,7 @@ fi APP_BIN=/app/bin debugLog(){ - if [ "$enableDebugLogging" == true ]; then + if [ "$enableDebugLogging" = true ]; then if [ $# -eq 0 ]; then echo "" >> $LOGFILE else @@ -41,7 +41,7 @@ debugLog(){ EXC_SIMPLE_FAILOVER=`${APP_BIN}/switchVoting.sh` -if [ "$EXC_SIMPLE_FAILOVER" == "success" ]; then +if [ "$EXC_SIMPLE_FAILOVER" = "success" ]; then debugLog "Simple failover success. SDNC failover completed." else # Simple failover failed. Trying catastrophic failover ... @@ -65,7 +65,9 @@ commands = || (echo "checkbashisms command not found - please install it (e.g. sudo apt-get install devscripts | \ yum install devscripts-minimal )" >&2 && exit 1)' find . -not -path '*/\.*' -name *.sh -exec checkbashisms \{\} + + find . -not -path '*/\.*' -name *.failover -exec checkbashisms -f \{\} + sh -c "! find . -not -path '*/\.*' -name *.sh -exec grep 'local .*=' \{\} + || exit 2" + sh -c "! find . -not -path '*/\.*' -name *.failover -exec grep 'local .*=' \{\} + || exit 2" [testenv:autopep8] deps = |